Skip to main content
PATCH
/
v1
/
accounts
/
{accountId}
/
members
/
{userId}
Update an account member role
curl --request PATCH \
  --url https://api.checklyhq.com/v1/accounts/{accountId}/members/{userId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "email": "jsmith@example.com",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "isSupportMembership": true,
  "ssoEnabled": true,
  "mfaEnabled": true
}

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string<uuid>

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Path Parameters

accountId
string<uuid>
required
userId
string<uuid>
required

Body

application/json
role
enum<string>
required

New account member role. OWNER is not supported.

Available options:
ADMIN,
READ_WRITE,
READ_RUN,
READ_ONLY

Response

Successful

type
enum<string>
required
Available options:
member
accountId
string<uuid>
required
userId
string<uuid>
required
name
string | null
required
email
string<email>
required
role
enum<string>
required
Available options:
OWNER,
ADMIN,
READ_WRITE,
READ_RUN,
READ_ONLY
status
enum<string>
required
Available options:
ACTIVE
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
isSupportMembership
boolean
required
ssoEnabled
boolean
required
mfaEnabled
boolean
required